
Foreman - Feature #3927

Use user-data instead of SSHProvision on Openstack / EC2

12/23/2013 03:31 PM - Greg Sutcliffe

Status: Closed   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category: Unattended installations   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

This is about 50% of what's asked for on #2991 - it would allow user-ata in cloud-init to set up a vm instead of using SSH to connect

to the machine. Per-user user-data can be implemented later

Related issues:

Related to Foreman - Feature #2991: Allow for user-data to be injected into c... New 08/29/2013

Related to Foreman - Bug #4111: Add image user data flag to API Closed 01/16/2014

Associated revisions

Revision fba2bf5f - 01/15/2014 10:26 AM - Greg Sutcliffe

Fixes #3927 - Allow VMs to provision via user-data

History

#1 - 12/23/2013 03:32 PM - Greg Sutcliffe

- Related to Feature #2991: Allow for user-data to be injected into cloud-init templates and finish scripts added

#2 - 01/02/2014 03:18 PM - Dominic Cleal

https://github.com/theforeman/foreman/pull/1113

#3 - 01/09/2014 02:11 PM - Anonymous

- Target version changed from 1.9.3 to 1.9.2

#4 - 01/15/2014 10:31 AM - Dominic Cleal

- translation missing: en.field_release set to 2

#5 - 01/15/2014 10:31 AM - Greg Sutcliffe

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset fba2bf5f41fb2ead4e4fbaa69bb61faba880daa1.

#6 - 01/16/2014 06:18 PM - Dominic Cleal

- Related to Bug #4111: Add image user data flag to API added
